package com.example.assignment1;


import android.content.Context;
import android.content.SharedPreferences;


public class CounterButtonSharedPreferenceHelper {

    private final SharedPreferences sharedPreferences;

    public CounterButtonSharedPreferenceHelper(Context context) {
        sharedPreferences = context.getSharedPreferences("counter_button", Context.MODE_PRIVATE);
    }

    public void saveCounterButtonName(CounterButtonNames counterButtonNames, String eventButtonName) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putString(counterButtonNames.getCounterButtonName(), eventButtonName);
        editor.apply();
    }

    public String getCounterButtonName(CounterButtonNames counterButtonNames) {
        return sharedPreferences.getString(counterButtonNames.getCounterButtonName(), "");
    }
}